Package io.dapr.v1

# Class DaprProtos

java.lang.Object
io.dapr.v1.DaprProtos

    public final class DaprProtos
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `DaprProtos.DeleteStateRequest` | DeleteStateRequest is the message to delete key-value states in the specific state store.
  `static interface` | `DaprProtos.DeleteStateRequestOrBuilder` |
  `static class` | `DaprProtos.GetSecretRequest` | GetSecretRequest is the message to get secret from secret store.
  `static interface` | `DaprProtos.GetSecretRequestOrBuilder` |
  `static class` | `DaprProtos.GetSecretResponse` | GetSecretResponse is the response mesage to convey the requested secret.
  `static interface` | `DaprProtos.GetSecretResponseOrBuilder` |
  `static class` | `DaprProtos.GetStateRequest` | GetStateRequest is the message to get key-value states from specific state store.
  `static interface` | `DaprProtos.GetStateRequestOrBuilder` |
  `static class` | `DaprProtos.GetStateResponse` | GetStateResponse is the response conveying the state value and etag.
  `static interface` | `DaprProtos.GetStateResponseOrBuilder` |
  `static class` | `DaprProtos.InvokeBindingRequest` | InvokeBindingRequest is the message to send data to output bindings
  `static interface` | `DaprProtos.InvokeBindingRequestOrBuilder` |
  `static class` | `DaprProtos.InvokeBindingResponse` | InvokeBindingResponse is the message returned from an output binding invocation
  `static interface` | `DaprProtos.InvokeBindingResponseOrBuilder` |
  `static class` | `DaprProtos.InvokeServiceRequest` | InvokeServiceRequest represents the request message for Service invocation.
  `static interface` | `DaprProtos.InvokeServiceRequestOrBuilder` |
  `static class` | `DaprProtos.PublishEventRequest` | PublishEventRequest is the message to publish event data to pubsub topic
  `static interface` | `DaprProtos.PublishEventRequestOrBuilder` |
  `static class` | `DaprProtos.SaveStateRequest` | SaveStateRequest is the message to save multiple states into state store.
  `static interface` | `DaprProtos.SaveStateRequestOrBuilder` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()` |
  `static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)` |
  `static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)

  - ### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)

  - ### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()